Collector Trumpin:
My sister's name is Marsha. She is a collector like myself, very outgoing and bright. Her only flaw is her habit of solving problems by trickery instead of real work, but you will find her plain-spoken and easy-to-read.
Not long ago she and I were running away from monster eyes and got separated. I believe she still must be somewhere in this crater. If you run into her please let her know that I'm looking for her.
Return